import { StyleSheet } from 'react-native'
import appColors from '../../../../theme/appColors'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../../theme/appConstant'
import appFonts from '../../../../theme/appFonts'

const styles = StyleSheet.create({
  inputContainer: {
    marginHorizontal: windowWidth(4),
    marginVertical: windowHeight(1.5),
  },
  fieldTitle: {
    fontFamily: appFonts.medium,
    marginTop: windowHeight(0.5),
    marginBottom: windowHeight(1),
    fontSize: fontSizes.FONT4,
  },
  fieldTitle1: {
    fontFamily: appFonts.medium,
    marginTop: windowHeight(1.8),
    marginBottom: windowHeight(1),
    fontSize: fontSizes.FONT4,
  },
  fieldTitle2: {
    fontFamily: appFonts.medium,
    marginTop: windowHeight(1.9),
    marginBottom: windowHeight(1),
    fontSize: fontSizes.FONT4,
  },
  fieldTitle3: {
    fontFamily: appFonts.medium,
    marginTop: windowHeight(2),
    marginBottom: windowHeight(1),
    fontSize: fontSizes.FONT4,
  },
  descriptionField: {
    textAlignVertical: 'top',
    borderWidth: windowWidth(0.45),
    padding: windowHeight(1.5),
    borderRadius: windowWidth(5),
    height: windowHeight(15),
  },
  dropDownContainer: {
    borderColor: appColors.border,
    color: appColors.secondaryFont,
  },
  text: {
    fontFamily: appFonts.regular,
  },
  placeholderStyle: {
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT4,
  },
  imgContainer: {
    flexWrap: 'wrap',
    gap: 10,
    marginHorizontal: windowHeight(2),
  },
  imgView: {
    width: windowHeight(12),
    height: windowHeight(9),
    right: windowHeight(2),
    alignItems: 'center',
    justifyContent: 'center',
  },
  closeIcon: {
    position: 'absolute',
    zIndex: 2,
    right: windowHeight(0),
    backgroundColor: appColors.modelBg,
    borderRadius: windowHeight(2.3),
    height: windowHeight(2.3),
    width: windowHeight(2.3),
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: windowHeight(-5),
    marginHorizontal: windowWidth(2),
  },
  img: {
    width: '100%',
    height: '100%',
    borderRadius: windowHeight(1),
    resizeMode: 'cover',
  },
  docSelection: {
    borderWidth: windowHeight(0.1),
    height: windowHeight(13),
    padding: windowHeight(2),
    borderRadius: windowWidth(5),
  },
  docContainer: {
    height: '100%',
    alignItems: 'center',
    justifyContent: 'center',
  },
  uploadText: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
  },
  submitBtn: {
    backgroundColor: appColors.primary,
    borderRadius: windowWidth(25),
    marginTop: windowHeight(2),
    marginBottom: windowHeight(2),
    marginHorizontal: windowWidth(5),
  },
  placeHolder: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.regular,
    marginVertical: windowHeight(0.5),
    textAlign: 'center',
  },
  errorText: {
    color: appColors.red,
    bottom: windowHeight(0.8),
    fontSize: fontSizes.FONT3,
  },
  filesError: { top: windowHeight(2) },
  gap: {
    gap: windowHeight(9.5),
  },
})

export default styles
